---
{
	"_label": "Introduction",
	"_toc": [
		"docs.user.intro.open_source",
		"docs.user.intro.try",
		"docs.dev.install",
		"docs.user.help"
	]
}
---
## What is an ERP and why should I care?

(If you are already convinced you need an all-in-one system for your organization, you can skip this.)

If you are running a small business that has some employees, you understand its hard to manage the dynamic nature of doing businesses. You are already using software like Accounting, and may be some other one to manage your inventory and sales (or CRM). An ERP brings all of that together in one place.

Small business are not so different from large ones. They contain most of the complexities of a large business but with many more constraints. Small businesses have to communicate with customers, do accounts, pay taxes, do payroll, manage timelines, deliver quality, answer questions and keep everyone happy just like large businesses.

Large businesses have the advantage of using advanced data systems to manage their process efficiently. Small businesses typically struggle to keep things organized. They are often using a mix of apps like spreadsheets, accounting software, web CRM etc to manage but not everyone is on the same page. An ERP changes that.

---

## What is ERPNext?

ERPNext helps you to manage all your business information in one application and use it to manage operations and take decisions based on data.

Among other things, ERPNext will help you to:

- Track all Invoices and Payments.
- Know what quantity of what product is available in stock.
- Identify open customer queries.
- Manage payroll.
- Assign tasks and follow up on them.
- Maintain a database of all your customers, suppliers and their contacts.
- Prepare quotes.
- Get reminders on maintenance schedules.
- Publish you website.

And a lot lot lot more.

---

## Why Should I Use ERPNext?

ERPNext is a modern accounting plus everything system and has many benefits over both traditional accounting as well as ERP applications.

### Benefits over traditional accounting software:

- Do a lot more than just accounting! Manage inventory, billing, quotes, leads, payroll and much much more.
- All data safe and in one place. Don’t keep hunting for data when you need it across spreadsheets and different computers.
- Everyone on the same page. All users get the same update data.
- Stop repetitive work. Don’t enter the same information from your word processor to your accounting tool. Its all integrated.
- Keep track. Get the entire history of a customer or a deal in one place.

### Benefits over big ERPs

- $$$ - Save money.
- Easier to configure. Big ERPs are notoriously hard to setup and will ask you a zillion questions before you can do something meaningful.
- Easier to use. Modern web like user interface will keep your users happy and in familiar territory.
- Open Source. This software is always free and you can host it anywhere you like.